.\"	$NetBSD: lo.4,v 1.9 2004/12/04 17:03:04 wiz Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)lo.4	8.1 (Berkeley) 6/5/93
.\"
.Dd September 3, 2006
.Dt LO 4
.Os
.Sh NAME
.Nm lo
.Nd software loopback network interface
.Sh SYNOPSIS
.Cd "pseudo-device loop"
.Sh DESCRIPTION
The
.Nm loop
interface is a software loopback mechanism which may be used for
performance analysis, software testing, and/or local communication.
As with other network interfaces, the loopback interface must have
network addresses assigned for each address family with which it
is to be used.
These addresses may be set or changed with the
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The loopback interface should be the last interface configured, as
protocols may use the order of configuration as an indication of
priority.
The loopback should
.Em never
be configured first unless no hardware interfaces exist.
.Pp
The loopback interface
.Nm lo0
is created at boottime, it always exists and cannot be destroyed
with
.Xr ifconfig 8 .
Additional loopback interfaces can be created by using the
.Xr ifconfig 8
.Cm create
command.
.Sh DIAGNOSTICS
.Bl -diag
.It lo%d: can't handle af%d .
The interface was handed a message with addresses formatted in an
unsuitable address family; the packet was dropped.
.El
.Sh SEE ALSO
.Xr inet 4 ,
.Xr intro 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
device appeared in
.Bx 4.2 .
.Sh BUGS
Previous versions of the system enabled the loopback interface
automatically, using a nonstandard Internet address (127.1).
Use of that address is now discouraged; a reserved host address
for the local network should be used instead.
